building with openssl 0.9.7

Russ Allbery rra at stanford.edu
Mon Feb 3 04:17:39 UTC 2003


Marco d'Itri <md at Linux.IT> writes:

> openssl/e_os.h has been removed and get_last_socket_error does not exist
> anymore. This header should not have been used anyway, as in the first
> lines has this comment:

> /* <openssl/e_os2.h> contains what we can justify to make visible
>  * to the outside; this file e_os.h is not part of the exported
>  * interface. */

> I fixed this by removing calls to the function (which is not needed on
> UNIX).

If that's also true with older versions of OpenSSL (that it's not needed
on Unix), could you send a patch?

-- 
Russ Allbery (rra at stanford.edu)             <http://www.eyrie.org/~eagle/>

    Please send questions to the list rather than mailing me directly.
     <http://www.eyrie.org/~eagle/faqs/questions.html> explains why.


More information about the inn-workers mailing list